Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl
Class TaskAdminServiceImpl

    java.lang.Object
      org.jbpm.services.task.impl.TaskAdminServiceImpl

All Implemented Interfaces:
  org.kie.internal.task.api.TaskAdminService

    @ApplicationScoped
    public class TaskAdminServiceImpl

extends Object
implements org.kie.internal.task.api.TaskAdminService

Constructor Summary
`TaskAdminServiceImpl()`

Method Summary
`int` | `archiveTasks(List<TaskSummary> tasks)`
`List<TaskSummary>` | `getActiveTasks()`
`List<TaskSummary>` | `getActiveTasks(Date since)`
`List<TaskSummary>` | `getArchivedTasks()`
`List<TaskSummary>` | `getCompletedTasks()`
`List<TaskSummary>` | `getCompletedTasks(Date since)`
`List<TaskSummary>` | `getCompletedTasksByProcessId(Long processId)`
`int` | `removeAllTasks()`
`int` | `removeTasks(List<TaskSummary> tasks)`
`void` | `setPm(JbpmServicesPersistenceManager pm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskAdminServiceImpl

    public TaskAdminServiceImpl()

Method Detail

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### getActiveTasks

    public List<TaskSummary> getActiveTasks()

  Specified by:
    `getActiveTasks` in interface `org.kie.internal.task.api.TaskAdminService`

### getActiveTasks

    public List<TaskSummary> getActiveTasks(Date since)

  Specified by:
    `getActiveTasks` in interface `org.kie.internal.task.api.TaskAdminService`

### getCompletedTasks

    public List<TaskSummary> getCompletedTasks()

  Specified by:
    `getCompletedTasks` in interface `org.kie.internal.task.api.TaskAdminService`

### getCompletedTasks

    public List<TaskSummary> getCompletedTasks(Date since)

  Specified by:
    `getCompletedTasks` in interface `org.kie.internal.task.api.TaskAdminService`

### getCompletedTasksByProcessId

    public List<TaskSummary> getCompletedTasksByProcessId(Long processId)

  Specified by:
    `getCompletedTasksByProcessId` in interface `org.kie.internal.task.api.TaskAdminService`

### archiveTasks

    public int archiveTasks(List<TaskSummary> tasks)

  Specified by:
    `archiveTasks` in interface `org.kie.internal.task.api.TaskAdminService`

### getArchivedTasks

    public List<TaskSummary> getArchivedTasks()

  Specified by:
    `getArchivedTasks` in interface `org.kie.internal.task.api.TaskAdminService`

### removeTasks

    public int removeTasks(List<TaskSummary> tasks)

  Specified by:
    `removeTasks` in interface `org.kie.internal.task.api.TaskAdminService`

### removeAllTasks

    public int removeAllTasks()

  Specified by:
    `removeAllTasks` in interface `org.kie.internal.task.api.TaskAdminService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.